using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] c = Console.ReadLine().Split(' ');
            int n = int.Parse(c[0]), l = int.Parse(c[1]), g=-1;
            c = Console.ReadLine().Split(' ');
            for(int i = 0; i < n; i++)
            {
                if (int.Parse(c[i]) <= l)
                {
                    g = i+1;
                    break;
                }
            }
            Console.WriteLine(g);
            Console.ReadLine();
        }
    }
}